System API
get
Retrieve all enabled countries.
Responses
200
OK
application/json
successbooleanRequired
500
Internal Server Error
get/country
GET /gospace/v1/country HTTP/1.1
Host: api.gospace.app
Accept: */*
{
"success": true,
"data": [
{
"_id": "text",
"country_id": "text",
"name": "text",
"iso2": "text",
"iso3": "text",
"currency": "text",
"calling_code": "text",
"timezones": [
"text"
],
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}get
Retrieve uploads by status, upload ID, or process.
Authorizations
x-api-keystringRequired
Query parameters
statusstring · enumOptionalPossible values:
upload_idstringOptional
upload_processstring · enumOptionalPossible values:
Responses
200
OK
application/json
successbooleanRequired
identifierstringRequired
400
Bad Request
500
Internal Server Error
get/upload
GET /gospace/v1/upload HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
{
"success": true,
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"identifier": "text"
}post
Create an upload session for a file.
Authorizations
x-api-keystringRequired
Body
file_typestring · enumRequiredPossible values:
upload_processstring · enumRequiredPossible values:
binding_idstringRequired
Responses
200
OK
application/json
successbooleanRequired
identifierstringRequired
400
Bad Request
500
Internal Server Error
post/upload
POST /gospace/v1/upload HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"file_type": "image/png",
"upload_process": "floorplan",
"binding_id": "text",
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}{
"success": true,
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"identifier": "text"
}Last updated